Bug 472664 - Review Request: perl-HTML-TokeParser-Simple - Easy to use HTML::TokeParser interface
Review Request: perl-HTML-TokeParser-Simple - Easy to use HTML::TokeParser in...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-23 03:17 EST by Iain Arnell
Modified: 2009-01-28 00:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 21:10:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-11-23 03:17:56 EST
Spec URL: http://iarnell.fedorapeople.org/perl-HTML-TokeParser-Simple.spec
SRPM URL: http://iarnell.fedorapeople.org/perl-HTML-TokeParser-Simple-3.15-1.fc9.src.rpm
Description: 
HTML::TokeParser is an excellent module that's often used for parsing HTML.
However, the tokens returned are not exactly intuitive to parse.  To simplify
this, HTML::TokeParser::Simple allows the user ask more intuitive (read: more
self-documenting) questions about the tokens returned.

This is one of several requirements for perl-Catalyst-Controller-HTML-FormFu.
Comment 1 Parag AN(पराग) 2008-11-23 06:02:50 EST
Review:
+ package builds in mock (rawhide i386).
koji build=> http://koji.fedoraproject.org/koji/taskinfo?taskID=946153
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
2867824be9cbe3e86e94ca677d042ffe  HTML-TokeParser-Simple-3.15.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=7, Tests=188,  0 wallclock secs ( 0.04 usr  0.01 sys +  0.50 cusr  0.04 csys =  0.59 CPU)
+ Package perl-HTML-TokeParser-Simple-3.15-1.fc11 =>
 Provides: perl(HTML::TokeParser::Simple) = 3.15 perl(HTML::TokeParser::Simple::Token) = 3.0 perl(HTML::TokeParser::Simple::Token::Comment) = 1.0 perl(HTML::TokeParser::Simple::Token::Declaration) = 1.0 perl(HTML::TokeParser::Simple::Token::ProcessInstruction) = 2.0 perl(HTML::TokeParser::Simple::Token::Tag) = 1.2 perl(HTML::TokeParser::Simple::Token::Tag::End) = 1.0 perl(HTML::TokeParser::Simple::Token::Tag::Start) = 1.0 perl(HTML::TokeParser::Simple::Token::Text) = 1.0

Requires: perl(HTML::Entities) perl(HTML::TokeParser) perl(HTML::TokeParser::Simple::Token) perl(HTML::TokeParser::Simple::Token::Comment) perl(HTML::TokeParser::Simple::Token::Declaration) perl(HTML::TokeParser::Simple::Token::ProcessInstruction) perl(HTML::TokeParser::Simple::Token::Tag) perl(HTML::TokeParser::Simple::Token::Tag::End) perl(HTML::TokeParser::Simple::Token::Tag::Start) perl(HTML::TokeParser::Simple::Token::Text) perl(base) perl(strict) perl(vars)

APPROVED.
Comment 2 Iain Arnell 2008-11-23 07:37:28 EST
New Package CVS Request
=======================
Package Name: perl-HTML-TokeParser-Simple
Short Description: Easy to use HTML::TokeParser interface
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 3 Dennis Gilmore 2008-11-25 11:44:22 EST
CVS Done
Comment 4 Fedora Update System 2008-11-26 09:33:50 EST
perl-HTML-TokeParser-Simple-3.15-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-HTML-TokeParser-Simple-3.15-1.fc10
Comment 5 Fedora Update System 2008-11-26 09:33:54 EST
perl-HTML-TokeParser-Simple-3.15-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-HTML-TokeParser-Simple-3.15-1.fc9
Comment 6 Fedora Update System 2008-11-26 21:10:10 EST
perl-HTML-TokeParser-Simple-3.15-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-11-26 21:12:36 EST
perl-HTML-TokeParser-Simple-3.15-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Iain Arnell 2009-01-28 00:24:17 EST
Package Change Request
======================
Package Name: perl-HTML-TokeParser-Simple
New Branches: EL-5
Owners: iarnell iburrell
InitialCC: perl-sig
Comment 9 Kevin Fenzi 2009-01-28 00:49:58 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.